# $Revision: 1.23 $, $Date: 2002/07/22 11:07:13 $
%include	/usr/lib/rpm/macros.perl
Summary:	Params::Validate Perl module
Summary(cs):	Modul Params::Validate pro Perl
Summary(da):	Perlmodul Params::Validate
Summary(de):	Params::Validate Perl Modul
Summary(es):	Mdulo de Perl Params::Validate
Summary(fr):	Module Perl Params::Validate
Summary(it):	Modulo di Perl Params::Validate
Summary(ja):	Params::Validate Perl ⥸塼
Summary(ko):	Params::Validate  
Summary(no):	Perlmodul Params::Validate
Summary(pl):	Modu perla Params::Validate
Summary(pt_BR):	Mdulo Perl Params::Validate
Summary(pt):	Mdulo de Perl Params::Validate
Summary(ru):	  Perl Params::Validate
Summary(sv):	Params::Validate Perlmodul
Summary(uk):	  Perl Params::Validate
Summary(zh_CN):	Params::Validate Perl ģ
Name:		perl-Params-Validate
Version:	0.24
Release:	2
License:	GPL
Group:		Development/Languages/Perl
Source0:	ftp://ftp.cpan.org/pub/CPAN/authors/id/D/DR/DROLSKY/Params-Validate-%{version}.tar.gz
BuildRequires:	perl >= 5.6
BuildRequires:	perl-Attribute-Handlers
BuildRequires:	rpm-perlprov >= 3.0.3-16
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreq	'perl(Params::Validate::Heavy)'

%description
Params::Validate - Validate method/function parameters.

%description -l pl
Params::Validate - metoda/funkcja sprawdzajca poprawno parametrw.

%prep
%setup -q -n Params-Validate-%{version}

%build
perl Makefile.PL
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%dir %{perl_sitelib}/Params
%{perl_sitelib}/Params/*.pm
%dir %{perl_sitelib}/Attribute/Params
%{perl_sitelib}/Attribute/Params/*.pm
%{_mandir}/man3/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-Params-Validate.spec,v $
Revision 1.23  2002/07/22 11:07:13  ankry
- pl translation fixes
- don't use macros in Name: it decreases readability
- Changes does not exist

Revision 1.22  2002/07/22 08:56:21  qboosh
- removed %%{perl_sitelib}/Attribute dir (belongs to perl-Attribute-Handlers)
- release 2

Revision 1.21  2002/07/21 23:15:07  radek
- version 0.24, STBR

Revision 1.20  2002/07/20 10:23:28  qboosh
- BR: perl-Attribute-Handlers, removed unused OPTIMIZE

Revision 1.19  2002/07/15 07:37:18  depesz
- new version (0.21)
- STBR

Revision 1.18  2002/07/12 09:04:41  qboosh
- new %%doc and cosmetics

Revision 1.17  2002/07/11 08:02:42  depesz
- new version; should work; STBR

Revision 1.16  2002/05/11 14:28:11  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.15  2002/03/03 22:09:04  marcus
- rel.2.

Revision 1.14  2002/02/22 23:29:31  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.13  2002/02/12 01:40:24  kloczek
- updated %%files list.

Revision 1.12  2002/02/12 01:30:41  kloczek
- updated to 0.11.

Revision 1.11  2002/02/10 15:41:12  depesz
adapterized

Revision 1.10  2002/02/09 13:44:20  depesz
wrong path

Revision 1.9  2002/02/09 12:59:38  depesz
- unified source path

Revision 1.8  2002/01/18 02:14:24  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.7  2001/12/27 12:26:08  qboosh
- use _noautoreq instead of ugly patch

Revision 1.6  2001/12/12 09:28:01  qboosh
- pl translations

Revision 1.5  2001/11/28 15:20:21  mis
- buildarch noarch; release++

Revision 1.4  2001/10/01 09:54:39  mis
- autoupdated to 0.07

Revision 1.3  2001/09/10 13:04:16  mis
- autoupdated to 0.06

Revision 1.2  2001/04/30 16:05:27  kloczek
- added using %%{rpmcflags} macro.

Revision 1.1  2001/04/18 02:11:32  baggins
- initial revision
